Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.admin
Class SVNAdminEventAdapter

    java.lang.Object
      org.tmatesoft.svn.core.wc.admin.SVNAdminEventAdapter

All Implemented Interfaces:
  ISVNAdminEventHandler, ISVNCanceller, ISVNEventHandler

public class SVNAdminEventAdapter
extends Object
implements ISVNAdminEventHandler

Version:
  1.0
Author:
  TMate Software Ltd.

Field Summary

Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNEventHandler
`UNKNOWN`

Fields inherited from interface org.tmatesoft.svn.core.ISVNCanceller
`NULL`

Constructor Summary
`SVNAdminEventAdapter()`

Method Summary
`void` | `checkCancelled()` Checks if the current operation is cancelled (somehow interrupted) and should throw an SVNCancelException.
`void` | `handleAdminEvent(SVNAdminEvent event, double progress)` Handles the current admin event.
`void` | `handleEvent(SVNEvent event, double progress)` Handles the current event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNAdminEventAdapter

    public SVNAdminEventAdapter()

Method Detail

### handleAdminEvent

    public void handleAdminEvent(SVNAdminEvent event,
                                 double progress)
                          throws SVNException

  Description copied from interface: `ISVNAdminEventHandler`
  Handles the current admin event.

  Specified by:
    `handleAdminEvent` in interface `ISVNAdminEventHandler`
  Parameters:
    `event` - an event to handle
    `progress` - progress state (reserved for future purposes)
  Throws:
    `SVNException`

### checkCancelled

    public void checkCancelled()
                        throws SVNCancelException

  Description copied from interface: `ISVNCanceller`
  Checks if the current operation is cancelled (somehow interrupted) and should throw an SVNCancelException.

  Specified by:
    `checkCancelled` in interface `ISVNCanceller`
  Throws:
    `SVNCancelException`

### handleEvent

    public void handleEvent(SVNEvent event,
                            double progress)
                     throws SVNException

  Description copied from interface: `ISVNEventHandler`
  Handles the current event.

  Generally all operations represented by do*() methods of SVN*Client objects are followed by generating a sequence of events that are passed to the registered ISVNEventHandler object for custom processing. For example, during an update operation each local item being modified is signaled about by dispatching a specific for this item SVNEvent object to this method where this event can be scrutinized and handled in a desired way.

  Specified by:
    `handleEvent` in interface `ISVNEventHandler`
  Parameters:
    `event` - the current event that keeps detailed information on the type of action occured and other attributes like path, status, etc.
    `progress` - currently reserved for future use; now it's value is always set to `ISVNEventHandler.UNKNOWN`
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.